$(function(){
 $.extend($.fn, {
  replaceClass : function(c1,c2){
   return this.filter('.' + c1).removeClass(c1).addClass(c2).end();
   }
 });
 
 $("#tab li").each(function(){
  $(this).hover(function(){
   $("#tab li.curr").replaceClass('curr','norm');
   $("#contents div.dis").replaceClass('dis','undis');
   $(this).replaceClass('norm','curr');
   $('#'+($(this).attr('alt'))).replaceClass('undis','dis');
  });        
 });    

});